Skip to main content
`Ctrl`+`K`

# pixel_axis_to_world_axes

ndcube.utils.wcs.pixel_axis_to_world_axes(pixel_axis, axis_correlation_matrix)

  Retrieves the indices of the world axis physical types corresponding to a pixel axis.

  Parameters:

    - pixel_axis (`int`) – The pixel axis index/indices for which the world axes are desired.

    - axis_correlation_matrix (`numpy.ndarray` of `bool`) – 2D boolean correlation matrix defining the dependence between the pixel and world axes. Format same as `astropy.wcs.wcsapi.BaseLowLevelWCS.axis_correlation_matrix`.

  Returns:

    world_axes – The world axis indices corresponding to the pixel axis.

  Return type:

    `numpy.ndarray`